package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class CausaliEsiti.
 * @see sicura.entities.CausaliEsiti
 * @author Hibernate Tools
 */
@Stateless
public class CausaliEsitiHome {

	private static final Log log = LogFactory.getLog(CausaliEsitiHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(CausaliEsiti transientInstance) {
		log.debug("persisting CausaliEsiti instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(CausaliEsiti persistentInstance) {
		log.debug("removing CausaliEsiti instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public CausaliEsiti merge(CausaliEsiti detachedInstance) {
		log.debug("merging CausaliEsiti instance");
		try {
			CausaliEsiti result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public CausaliEsiti findById(Integer id) {
		log.debug("getting CausaliEsiti instance with id: " + id);
		try {
			CausaliEsiti instance = entityManager.find(CausaliEsiti.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
